aboutsummaryrefslogtreecommitdiffstats
path: root/community/xapian-bindings/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2017-01-04 09:52:36 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2017-01-04 09:52:36 +0000
commit019508b72c29a5a6634c2563c2ebb00feecf1345 (patch)
tree4af7ac06498872954320dc604f014f2039ccfa00 /community/xapian-bindings/APKBUILD
parenta271ef6fe3f4f528d0dc75ace4afdd9550a9a391 (diff)
downloadaports-019508b72c29a5a6634c2563c2ebb00feecf1345.tar.gz
aports-019508b72c29a5a6634c2563c2ebb00feecf1345.tar.bz2
aports-019508b72c29a5a6634c2563c2ebb00feecf1345.tar.xz
community/xapian-bindings: upgrade to 1.4.2, added php7 and python3 bindings
Diffstat (limited to 'community/xapian-bindings/APKBUILD')
-rw-r--r--community/xapian-bindings/APKBUILD56
1 files changed, 41 insertions, 15 deletions
diff --git a/community/xapian-bindings/APKBUILD b/community/xapian-bindings/APKBUILD
index acb449ef57..84a412dbc9 100644
--- a/community/xapian-bindings/APKBUILD
+++ b/community/xapian-bindings/APKBUILD
@@ -1,8 +1,7 @@
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
-_php="php5"
pkgname=xapian-bindings
-pkgver=1.4.1
+pkgver=1.4.2
pkgrel=0
pkgdesc="Binding libraries for xapian"
url="http://www.xapian.org"
@@ -13,13 +12,14 @@ makedepends="automake autoconf libtool bash
xapian-core-dev
perl-dev
lua5.2-dev
- ${_php}-dev ${_php}-cli
- python2-dev py-sphinx-autobuild
+ php5-dev php7-dev
+ python-dev py-sphinx-autobuild py2-requests py-setuptools
+ python3-dev py3-requests
ruby-dev ruby ruby-rdoc ruby-irb
tcl-dev"
subpackages="$pkgname-perl $pkgname-lua $pkgname-doc
- $pkgname-php $pkgname-python $pkgname-ruby $pkgname-tcl"
-install=""
+ $pkgname-python $pkgname-python3 $pkgname-ruby $pkgname-tcl
+ $pkgname-php $pkgname-php7"
source="http://www.oligarchy.co.uk/xapian/$pkgver/$pkgname-$pkgver.tar.xz"
builddir="$srcdir"/$pkgname-$pkgver
@@ -41,8 +41,13 @@ build() {
export PERL_LIB=/usr/share/perl5/vendor_perl
export PERL_ARCH=/usr/share/perl5/vendor_perl
export PHP=/usr/bin/php
- export PYTHON=/usr/bin/python2
- export PYTHON_LIB=/usr/lib/python2.7/site-packages
+ export PHP_CONFIG=/usr/bin/php-config
+ export PHP7=/usr/bin/php7
+ export PHP_CONFIG7=/usr/bin/php-config7
+ export PYTHON2=/usr/bin/python2
+ export PYTHON2_LIB=/usr/lib/python2.7/site-packages
+ export PYTHON3=/usr/bin/python3
+ export PYTHON3_LIB=/usr/lib/python3.5/site-packages
export RUBY=/usr/bin/ruby
export RUBY_INC=/usr/include/ruby-2.3.0
export RUBY_LIB=/usr/lib/ruby
@@ -56,7 +61,9 @@ build() {
--with-perl \
--with-lua \
--with-php \
+ --with-php7 \
--with-python \
+ --with-python3 \
--with-ruby \
--with-tcl \
XAPIAN_CONFIG=/usr/bin/xapian-config
@@ -68,15 +75,27 @@ package() {
make DESTDIR=$pkgdir install || return 1
}
+php7() {
+ pkgdesc="PHP7 bindings for the Xapian search engine library"
+
+ install -d "$subpkgdir"/usr/share/php7 \
+ "$subpkgdir"/usr/lib/php7/modules \
+ "$subpkgdir"/etc/php7/conf.d || return 1
+ echo ';extension=xapian.so' > "$subpkgdir/etc/php7/conf.d/xapian.ini" \
+ || return 1
+ mv "$pkgdir"/usr/lib/php7/modules/* "$subpkgdir"/usr/lib/php7/modules/
+# mv "$pkgdir"/usr/share/php7 "$subpkgdir"/usr/share/
+}
+
php() {
pkgdesc="PHP bindings for the Xapian search engine library"
install -d "$subpkgdir"/usr/share/php5 \
- "$subpkgdir"/usr/lib/$_php/modules \
- "$subpkgdir"/etc/$_php/conf.d || return 1
- echo ';extension=xapian.so' > "$subpkgdir/etc/$_php/conf.d/xapian.ini" \
+ "$subpkgdir"/usr/lib/php5/modules \
+ "$subpkgdir"/etc/php5/conf.d || return 1
+ echo ';extension=xapian.so' > "$subpkgdir/etc/php5/conf.d/xapian.ini" \
|| return 1
- mv "$pkgdir"/usr/lib/$_php/modules/* "$subpkgdir"/usr/lib/$_php/modules/
+ mv "$pkgdir"/usr/lib/php5/modules/* "$subpkgdir"/usr/lib/php5/modules/
mv "$pkgdir"/usr/share/php5 "$subpkgdir"/usr/share/
}
@@ -101,6 +120,13 @@ python() {
mv "$pkgdir"/usr/lib/python2.7 "$subpkgdir"/usr/lib
}
+python3() {
+ pkgdesc="Python3 bindings for the Xapian search engine library"
+
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/python3.5 "$subpkgdir"/usr/lib
+}
+
ruby() {
pkgdesc="Ruby bindings for the Xapian search engine library"
@@ -115,6 +141,6 @@ tcl() {
mv "$pkgdir"/usr/lib/tcl8.6/$pkgname-$pkgver "$subpkgdir"/usr/lib/tcl8.6
}
-md5sums="2587defe5d412b4f96b946d8000a2611 xapian-bindings-1.4.1.tar.xz"
-sha256sums="6ca9731eed0fdfd84c6f8d788389bc7e7a7dc62fa46e0383eb0bb502576c2331 xapian-bindings-1.4.1.tar.xz"
-sha512sums="5a7e070d25a8ffe50e5bed473b4975366533ee646699c5c53fc0eb797a4d031c87fc8e5b0b93f77a9f122d17022cbc97862ae93c0d3510cd77588f2cd77dd179 xapian-bindings-1.4.1.tar.xz"
+md5sums="a9608da12f4c3071991eb671a34b72bb xapian-bindings-1.4.2.tar.xz"
+sha256sums="9ef59fbe38a120bd2a1774f1a277cf8132f0ca5ff2fc22bacf539ce74df35518 xapian-bindings-1.4.2.tar.xz"
+sha512sums="28e1d060853f7992c4c0fc8ef63377bc86f41e972ea9ef45e31b083b85db5191993a8021be3581805ccc0df3fae8e8c0a50a1cf0a6fcf3959328a90155df9207 xapian-bindings-1.4.2.tar.xz"